## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate diffus

Name:           rust-%{crate}
Version:        0.10.0
Release:        %autorelease
Summary:        Finds the difference between two instances of any data structure

# Upstream license specification: Apache-2.0
# https://github.com/distil/diffus/issues/100
License:        ASL 2.0
URL:            https://crates.io/crates/diffus
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Finds the difference between two instances of any data structure. Supports:
collections, Strings, Maps etc. Uses LCS where applicable. Also supports derive
via `diffus-derive`.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive-devel %{_description}

This package contains library source intended for building other packages
which use "derive" feature of "%{crate}" crate.

%files       -n %{name}+derive-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+diffus-derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+diffus-derive-devel %{_description}

This package contains library source intended for building other packages
which use "diffus-derive" feature of "%{crate}" crate.

%files       -n %{name}+diffus-derive-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+indexmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+indexmap-devel %{_description}

This package contains library source intended for building other packages
which use "indexmap" feature of "%{crate}" crate.

%files       -n %{name}+indexmap-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+indexmap-impl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+indexmap-impl-devel %{_description}

This package contains library source intended for building other packages
which use "indexmap-impl" feature of "%{crate}" crate.

%files       -n %{name}+indexmap-impl-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages
which use "serde" feature of "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+serialize-impl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serialize-impl-devel %{_description}

This package contains library source intended for building other packages
which use "serialize-impl" feature of "%{crate}" crate.

%files       -n %{name}+serialize-impl-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+snake_case-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+snake_case-devel %{_description}

This package contains library source intended for building other packages
which use "snake_case" feature of "%{crate}" crate.

%files       -n %{name}+snake_case-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+snake_case-impl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+snake_case-impl-devel %{_description}

This package contains library source intended for building other packages
which use "snake_case-impl" feature of "%{crate}" crate.

%files       -n %{name}+snake_case-impl-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+uuid-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+uuid-devel %{_description}

This package contains library source intended for building other packages
which use "uuid" feature of "%{crate}" crate.

%files       -n %{name}+uuid-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+uuid-impl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+uuid-impl-devel %{_description}

This package contains library source intended for building other packages
which use "uuid-impl" feature of "%{crate}" crate.

%files       -n %{name}+uuid-impl-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Nov 08 2021 Fabio Valentini <decathorpe@gmail.com> 0.10.0-1
- Update to version 0.10.0; Fixes RHBZ#1961198

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Mar 09 2021 Fabio Valentini <decathorpe@gmail.com> - 0.9.1-1
- Initial package

